<?php
/**
 * Plugin WPS secured
 *
 * @package   WPS
 * @author    wp-secured.com
 * @copyright Copyright © 2021
 */

declare(strict_types=1);

namespace WPSEC\Helpers;

use ParagonIE\ConstantTime\Base32;

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.

if ( ! class_exists( 'WPSEC\Helpers\SecretsGenerator' ) ) {
    /**
     * Helper class for generating all the secrets
     *
     * @since 1.0.0
     */
    class SecretsGenerator {

        /**
         * Generates TOTP secret key
         *
         * @since 1.0.0
         *
         * @return string
         */
        public static function totpGenerateKey(): string {
            $value = Base32::encodeUpper( random_bytes( 12 ) );

            return $value;
        }
    }
}
