<?php
/**
 * Secured WP constants
 *
 * Registered constants of the class
 *
 * @package WPSecure
 * @subpackage Constants
 */

/** Prevent default call */
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

define( 'WPSEC_REQUIRED_PHP_VERSION', '7.2' );
define( 'WPSEC_REQUIRED_WP_VERSION', '5.0' );
define( 'WPSEC_PLUGIN_SECURED_VERSION', '1.5' );
define( 'WPSEC_PLUGIN_SECURED_NAME', 'Secured WP' );
define( 'WPSEC_PLUGIN_SECURED_SLUG', 'secured-wp' );
define( 'WPSEC_PLUGIN_SECURED_JS_VAR', 'securedWp' );
define( 'WPSEC_PLUGIN_SECURED_FILENAME', __FILE__ );
define( 'WPSEC_PLUGIN_SECURED_BASENAME', plugin_basename( __FILE__ ) );
define( 'WPSEC_PLUGIN_SECURED_CSS_PREFIX', 'snd' );
define( 'WPSEC_PLUGIN_SECURED_ASSETS_DIR', '/WPSEC-secured' );
define( 'WPSEC_PLUGIN_SECURED_URL', plugin_dir_url( __FILE__ ) );
define( 'WPSEC_PLUGIN_SECURED_PATH', plugin_dir_path( __FILE__ ) );

define( 'WPSEC_PLUGIN_SECURED_DELETE_DATA_VAR_NAME', '_wpsec_delete_data' );
define( 'WPSEC_PLUGIN_SECURED_DELETE_DATA_VAR_DEFAULT', false );

/**
 * Login module
 */
define( 'WPSEC_PLUGIN_SECURED_ORIGIN_LOGIN_REDIRECT_VAR_NAME', '_wpsec_org_login_redirect' );
define( 'WPSEC_PLUGIN_SECURED_NEW_LOGIN_REDIRECT_VAR_NAME', '_wpsec_new_login_redirect' );
define( 'WPSEC_PLUGIN_SECURED_ORIGIN_LOGIN_REDIRECT_VAR_DEFAULT', '404' );
define( 'WPSEC_PLUGIN_SECURED_NEW_LOGIN_REDIRECT_VAR_DEFAULT', 'login' );
define( 'WPSEC_PLUGIN_SECURED_LOGIN_MODULE_DISABLED', '_wpsec_login-disabled' );
/**
 * Login attempt module
 */
define( 'WPSEC_PLUGIN_SECURED_LOGIN_ATTEMPTS_VAR_NAME', '_wpsec_login_attempts' );
define( 'WPSEC_PLUGIN_SECURED_LOGIN_ATTEMPTS_VAR_DEFAULT', '5' );
define( 'WPSEC_PLUGIN_SECURED_LOGIN_ATTEMPTS_TIME_VAR_NAME', '_wpsec_login_lock' );
define( 'WPSEC_PLUGIN_SECURED_LOGIN_ATTEMPTS_TIME_VAR_DEFAULT', '15' );
define( 'WPSEC_PLUGIN_SECURED_LOGIN_ATTEMPTS_MODULE_DISABLED', '_wpsec_login-attempt-disabled' );
/**
 * 2FA module
 */
define( 'WPSEC_PLUGIN_SECURED_2FA_TOTP_VAR_NAME', '_wpsec_2fa_totp' );
define( 'WPSEC_PLUGIN_SECURED_2FA_TOTP_VAR_DEFAULT', true );
define( 'WPSEC_PLUGIN_SECURED_2FA_OOB_VAR_NAME', '_wpsec_2fa_oob' );
define( 'WPSEC_PLUGIN_SECURED_2FA_OOB_VAR_DEFAULT', true );
define( 'WPSEC_PLUGIN_SECURED_2FA_MODULE_DISABLED', '_wpsec_2fa-disabled' );
/**
 * Remember device module
 */
define( 'WPSEC_PLUGIN_SECURED_REMEMBER_TIME_VAR_NAME', '_wpsec_time_remember' );
define( 'WPSEC_PLUGIN_SECURED_REMEMBER_TIME_VAR_DEFAULT', '5' );
define( 'WPSEC_PLUGIN_SECURED_REMEMBER_MODULE_DISABLED', '_wpsec_remember-disabled' );
/**
 * XML-RPC settings
 */
define( 'WPSEC_PLUGIN_SECURED_XMLRPC_MODULE_DISABLED', '_wpsec_xmlrpc-disabled' );
